summaryrefslogtreecommitdiff
path: root/dev-python/python-redmine/python-redmine-1.5.1.ebuild
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2016-11-14 15:39:16 -0500
committerMichael Orlitzky <mjo@gentoo.org>2016-11-15 07:45:59 -0500
commitf0c9c075174acb6491e14ce2b1cf414339974da0 (patch)
tree2d3f4a8f62a1f31df11aa595762848fa12fd0ded /dev-python/python-redmine/python-redmine-1.5.1.ebuild
parent22c558a9b6aef35010250978808e8c48f8ee1701 (diff)
downloadgentoo-f0c9c075174acb6491e14ce2b1cf414339974da0.tar.gz
gentoo-f0c9c075174acb6491e14ce2b1cf414339974da0.tar.bz2
gentoo-f0c9c075174acb6491e14ce2b1cf414339974da0.zip
dev-python/python-redmine: new python interface to the redmine API.
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-python/python-redmine/python-redmine-1.5.1.ebuild')
-rw-r--r--dev-python/python-redmine/python-redmine-1.5.1.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/python-redmine/python-redmine-1.5.1.ebuild b/dev-python/python-redmine/python-redmine-1.5.1.ebuild
new file mode 100644
index 0000000000000..d6239906584b3
--- /dev/null
+++ b/dev-python/python-redmine/python-redmine-1.5.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to the Redmine REST API"
+HOMEPAGE="https://github.com/maxtepkeev/python-redmine"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
+
+# This package bundles dev-python/requests, so setup.py won't check for
+# it. As a result, we don't need RDEPEND in DEPEND unconditionally.
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/coverage[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7)
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ # Remove the bundled copy of dev-python/requests...
+ rm -r redmine/packages \
+ || die 'failed to remove the bundled copy of dev-python/requests'
+
+ # and replace its local import statement with a global one.
+ sed -i 's/from .packages import requests/import requests/' \
+ redmine/__init__.py \
+ || die 'failed to replace the dev-python/requests library import'
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests || die "tests failed under ${EPYTHON}"
+}